package org.bench4q.recorder.httpcapture.generator;

import org.apache.log4j.Logger;

public class ContentEncoder {
	protected Logger logger = Logger.getLogger(ContentEncoder.class);
	protected ContentEncoder() {
	}

	public static ContentEncoder createEncoder(String encodeType) {
		if (encodeType == null) {
			return new ContentEncoder();
		}

		if (encodeType.equalsIgnoreCase("gzip")) {
			return new GzipEncoder();
		} else {
			return new ContentEncoder();
		}
	}
	
	public byte[] encoderContent(byte[] content){
		return content;
	}
}
